Skip to main content
GET
/
v2
/
segments
Retrieve a Segment
curl --request GET \
  --url https://api.lilt.com/v2/segments \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lilt.com/v2/segments"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lilt.com/v2/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 84480010,
  "created_at": 1489147692,
  "updated_at": 1489147692,
  "document_id": 1234,
  "memory_id": 5678,
  "source": "The red bus.",
  "srclang": "en",
  "target": "Le bus rouge.",
  "trglang": "fr",
  "is_confirmed": true,
  "is_reviewed": true
}
{
"message": "Internal server error."
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

id
integer
required

A unique Segment identifier.

include_comments
boolean
default:false

Include comments in the response.

Response

A Segment object.

A Segment is a source string and, optionally, its translation. A Segment can be associated with both a Memory and a Document. The Segment object contains additional metadata about the source and target strings.

id
integer<int64>

A unique number identifying the Segment.

Example:

84480010

created_at
integer

Time at which the object was created. Measured in seconds since the Unix epoch.

Example:

1489147692

updated_at
integer

Time at which the object was created. Measured in seconds since the Unix epoch.

Example:

1489147692

document_id
integer

A unique Document identifier.

Example:

1234

memory_id
integer

The Memory with which this Segment is associated.

Example:

5678

source
string

The source string.

Example:

"The red bus."

srclang
string

An ISO 639-1 language code.

Example:

"en"

target
string

The target string.

Example:

"Le bus rouge."

trglang
string

An ISO 639-1 language code.

Example:

"fr"

is_confirmed
boolean

The confirmation status.

Example:

true

is_reviewed
boolean

The review status.

Example:

true